summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick/applications/tdesudo/debian/postrm
diff options
context:
space:
mode:
authoralbator <albator@arcadia.vtf>2011-11-05 11:51:44 +0100
committeralbator <albator@arcadia.vtf>2011-11-05 11:51:44 +0100
commit70bc259aa3f4dbd83bd239030690759449ee714b (patch)
treeb61af2d70c64ca12dbec49053c0b20dae8ba7926 /ubuntu/maverick/applications/tdesudo/debian/postrm
parent1f3a44f73fa43d3c30f47ff8c4f5c414d83f4765 (diff)
parent169853a068683db6540e3b77542d5139bb7867d1 (diff)
downloadtde-packaging-70bc259aa3f4dbd83bd239030690759449ee714b.tar.gz
tde-packaging-70bc259aa3f4dbd83bd239030690759449ee714b.zip
Merge branch 'master' of http://scm.trinitydesktop.org/scm/git/tde-packaging
Diffstat (limited to 'ubuntu/maverick/applications/tdesudo/debian/postrm')
-rw-r--r--ubuntu/maverick/applications/tdesudo/debian/postrm25
1 files changed, 25 insertions, 0 deletions
diff --git a/ubuntu/maverick/applications/tdesudo/debian/postrm b/ubuntu/maverick/applications/tdesudo/debian/postrm
new file mode 100644
index 000000000..a5b54ebf1
--- /dev/null
+++ b/ubuntu/maverick/applications/tdesudo/debian/postrm
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+set -e
+
+package_name=tdesudo-trinity
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+case "$1" in
+ remove)
+ dpkg-divert --package $package_name --rename --remove \
+ /opt/trinity/bin/kdesu
+ ;;
+ purge)
+ ;;
+ upgrade)
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+
+exit 0